summaryrefslogtreecommitdiffstats
path: root/debian/traceroute.postinst
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-05 17:40:17 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-05 17:40:17 +0000
commit8fb4053566f150f3822db46af63687063e192f8a (patch)
tree6f2ab99fdc551a7ecbf1b273ee040d8dc5021b4e /debian/traceroute.postinst
parentAdding upstream version 1:2.1.2. (diff)
downloadtraceroute-8fb4053566f150f3822db46af63687063e192f8a.tar.xz
traceroute-8fb4053566f150f3822db46af63687063e192f8a.zip
Adding debian version 1:2.1.2-1.debian/1%2.1.2-1debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/traceroute.postinst')
-rw-r--r--debian/traceroute.postinst43
1 files changed, 43 insertions, 0 deletions
diff --git a/debian/traceroute.postinst b/debian/traceroute.postinst
new file mode 100644
index 0000000..920006e
--- /dev/null
+++ b/debian/traceroute.postinst
@@ -0,0 +1,43 @@
+#!/bin/sh
+
+set -e
+
+case "${1}" in
+ configure)
+ update-alternatives --install \
+ /usr/bin/traceroute traceroute /usr/bin/traceroute.db 100 \
+ --slave /usr/sbin/traceroute traceroute.sbin \
+ /usr/bin/traceroute.db \
+ --slave /usr/share/man/man1/traceroute.1.gz traceroute.1.gz \
+ /usr/share/man/man1/traceroute.db.1.gz
+
+ for _ALTERNATIVE in traceroute6 lft traceproto
+ do
+ update-alternatives --install \
+ /usr/bin/${_ALTERNATIVE} ${_ALTERNATIVE} /usr/bin/${_ALTERNATIVE}.db 100 \
+ --slave /usr/share/man/man1/${_ALTERNATIVE}.1.gz ${_ALTERNATIVE}.1.gz \
+ /usr/share/man/man1/${_ALTERNATIVE}.db.1.gz
+ done
+
+ for _ALTERNATIVE in tcptraceroute
+ do
+ update-alternatives --install \
+ /usr/sbin/${_ALTERNATIVE} ${_ALTERNATIVE} /usr/sbin/${_ALTERNATIVE}.db 100 \
+ --slave /usr/share/man/man8/${_ALTERNATIVE}.8.gz ${_ALTERNATIVE}.8.gz \
+ /usr/share/man/man8/${_ALTERNATIVE}.db.8.gz
+ done
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`${1}'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0